/*
 * NewClass.java
 *
 * Created on 24 de Outubro de 2005, 17:12
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package csvprovider;

import common.ApplicationException;
import importexport.ImportExport;
import importexport.PessoaInfo;
import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.Writer;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Paulo Sousa
 */
public class NewClass implements ImportExport
{
    
    /** Creates a new instance of NewClass */
    public NewClass() {
    }
    
    public void doExport(List<PessoaInfo> data) throws java.io.IOException
    {
            BufferedWriter wr = new BufferedWriter(new FileWriter("c:\\temp\\csv-data.csv"));
            for (PessoaInfo pi : data)
            {
                    wr.write(pi.Nome);
                    wr.write(", ");
                    wr.write(String.valueOf(pi.Idade));
                    wr.newLine();
            }
            wr.close();
    }

    public List<PessoaInfo> doImport() throws java.io.IOException, ApplicationException
    {
            List<PessoaInfo> ret = new ArrayList<PessoaInfo>();

            try
            {
                BufferedReader rd = new BufferedReader( new FileReader("c:\\temp\\csv-data.csv"));
                String line=null;
                while ((line = rd.readLine()) != null)
                {
                    String[] parts = line.split(",");
                    ret.add(new PessoaInfo(parts[0], Integer.parseInt(parts[1].trim())));
                }
            }
            catch (ArrayIndexOutOfBoundsException ex)
            {
                throw new ApplicationException("ficheiro no formato invlido", ex);
            }
            catch (NumberFormatException ex)
            {
                throw new ApplicationException("ficheiro no formato invlido", ex);
            }
            return ret;
    }

}
